<!DOCTYPE html>
<html ng-app="aitu-project" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <title>Chocolate company</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet"/>
    <link rel="stylesheet" href="main.css"/>
    <link rel="apple-touch-icon" sizes="180x180" href="favicon_io/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon_io/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon_io/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="http://code.angularjs.org/1.5.8/angular.js"></script>
    <script src="app.js"></script>
    <style>
    </style>


</head>

<body ng-controller="CategoryCtrl" style="background-color: #ADADAD ">
<nav class="navbar navbar-expand-lg navbar-light bg-lightray"  style="background-color: #A56357 ">
    <a class="navbar-brand" href="IDK.html">Company</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>


    <div class="num"><strong><em>+7(777)77-77-777</em></strong></div>
    <div style="float: right; font-size: 25px " ><p id="clock"></p></div>
</nav>
<div class="container"  ng-controller="CategoryCtrl">
    <br/>
    <div  class="row" ng-show="customer.name">
        <h2 style="margin-left: 42%;">Hello {{customer.name}}</h2>
    </div>
    <div id="tbl" class="row" ng-show="customer.name">
        <div>
            <h2>Your orders</h2>

            <div id="but">
                <button ng-click="getOrders()"  type="button" >
                    <a href="#" style="font-size: 20px; font-weight: 900;">  Refresh </a>
                </button></div><br>

            <ul>

                <table style="width: 100%;text-align: center;">
                    <tr>
                        <th style="padding-left: 90px;padding-right: 90px"><span>orderId</span></th>
                        <th style="padding-left: 90px;padding-right: 90px"><span>customerId</span></th>
                        <th style="padding-left: 90px;padding-right: 90px"><span>totalPrice</span></th>
                        <th style="padding-left: 90px;padding-right: 90px"><span>Action</span></th>
                    </tr>
                    <tr ng-repeat="item in Orders">
                        <td><span ng-bind="item.customerorder_id"></span></td>
                        <td><span ng-bind="item.customer_id"></span></td>
                        <td><span ng-bind="item.total_price"></span></td>
                        <td>
                            <div id="but">
                                <button ng-click="deleteOrder(item.customerorder_id)"  type="button" >
                                    <a href="#" style="font-size: 20px; font-weight: 900;">  Delete </a>
                                </button></div>
                        </td>
                    </tr>
                </table>
            </ul>
        </div>
    </div>


    <div class="row" ng-show="!customer.name">
        <div class="row">
            <div class="col-lg-12" style="margin-left: 155%;margin-top: 50%">
                <input ng-model="auth.login" type="text" placeholder="enter login" class="form-control form-control-lg inverse-mode" />
                <input ng-model="auth.password"  type="password" class="form-control form-control-lg inverse-mode" />
                <div class="login-buttons">
                    <button ng-click="loginTest(Auth)" type="button" class="btn btn-block btn-lg">Войти</button>
                </div>
            </div>
        </div>
    </div>
    <br><br>
    <div  ng-show="customer.name">
        <div  class="row" ng-show="customer.name">
            <h2 style="margin-left: 22%;">You can choose products from the list above</h2>

        </div>
        <div>
            <ul>
                <li ng-repeat="categ in categoryList">
                    <div id="category">
                        <h2><b><span ng-bind="categ.title"></span></b></h2>
                        <p>Description: <span ng-bind="categ.description"></span></p>
                        <span ng-click="getProductsByCategoryId(categ.categoryId)">
                                <button><a href="#">products</a></button>
                            <ul>
                                <li ng-show="productList[categ.categoryId]" ng-repeat="item in productList[categ.categoryId]">
                                    <br><br><br>
                                    <h4><b><span ng-bind="item.title"></span></b></h4>
                                    <p>Description: <span ng-bind="item.description"></span></p>
                                    <p>Price: <span ng-bind="item.price"></span></p>
                                    <span ng-click="incrementProduct(item)">
                                        <button><a href="#">add</a></button>
                                    </span>
                                </li>
                            </ul>
                        </span>
                        <span ng-show="productList[categ.categoryId]" ng-click="hideProducts(categ.categoryId)">
                           <br><button><a href="#">hide</a></button>
                        </span>
                    </div>
                </li>
            </ul>
            <br/>
            <div ng-show="orderItemList">
                <ul>
                    <table>
                        <tr>
                            <th><span>productId</span></th>
                            <th><span>price</span></th>
                            <th><span>quantity</span></th>
                            <th ><span>Action</span></th>
                        </tr>
                        <tr ng-repeat="item in orderItemList" >
                            <td ng-show="item.productId"><span ng-bind="item.productId"></span></td>
                            <td ng-show="item.productId"><span ng-bind="item.price" ></span></td>
                            <td ng-show="item.productId"><span ng-bind="item.quantity" ></span></td>
                            <td ng-show="item.productId"><br>
                                <div id="but">
                                    <button ng-click="deleteOrderItem(item.productId)"  type="button" >
                                        <a href="#" style="font-size: 20px; font-weight: 900;">  Delete </a>
                                    </button></div><br>
                            </td>
                        </tr>
                    </table>
                </ul>
            </div>
            <br/>
            <div id="but">
            <button ng-click="sendOrders()" type="button" >
                <a href="#" style="font-size: 20px; font-weight: 900;">  Order </a>
            </button>
            <button ng-click="sendOrdersItem()" type="button" >
               <a href="#" style="font-size: 20px; font-weight: 900; "> OrderItem</a>
            </button>
            </div>
        </div>
    </div>


    </div>
</div>
<footer class="page-footer font-small special-color-dark pt-4">
    <div class="container">
        <a href="#"><i class="fa fa-facebook"></i></a>
        <a href="#"><i class="fa fa-twitter"></i></a>
        <a href="#"><i class="fa fa-linkedin"></i></a>
        <a href="#"><i class="fa fa-google-plus"></i></a>
        <a href="#"><i class="fa fa-skype"></i></a>
    </div>
    <div class="footer-copyright text-center py-3">
        <a href="https://ru.wikipedia.org/wiki/%D0%9D%D1%83%D1%80-%D0%A1%D1%83%D0%BB%D1%82%D0%B0%D0%BD">© 2020 Nur-Sultan</a>
    </div>
</footer>
</body>

</html>
